<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/PTree/Array.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis::PTree::Array</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">namespace <a href="../../Synopsis.html" >Synopsis</a>::<a href="../PTree.html" >PTree</a>
</div><div class="class-name">class Array

</div><div class="links"><div class="file">File: <a href="../../../File/Synopsis/PTree/Node.hh.html" target="detail">../Synopsis/PTree/Node.hh</a></div> <div class="xref"><a href="../../../XRef/xref1.html#Synopsis_mPTree_mArray" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Node.hh.html#line89" ><img src="../../../src-c++.png" alt="source code"/></a></div></div>  <img alt="Array-inheritance" src="Array-inheritance.png" hspace="8" vspace="8" border="0" usemap="#Array-inheritance_map" />
<map name="Array-inheritance_map"></map>
 <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Public Member functions Summary:</div>
<div class="item"><div class="synopsis">&#160;<i>constructor</i> <a class="name" id="Array_lsize_t_r">Array</a>(size_t = <span class="value">8</span>)  </div> <div class="xref"><a href="../../../XRef/xref1.html#Synopsis_mPTree_mArray_mArray_lsize_t_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Node.hh.html#line92" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;size_t <a class="name" id="number_l_r">number</a>()  </div> <div class="xref"><a href="../../../XRef/xref1.html#Synopsis_mPTree_mArray_mnumber_l_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Node.hh.html#line93" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<a href="Node.html" >Node</a>*&amp; <a class="name" id="operator_b_B_lsize_t_r">operator[]</a>(size_t <span class="variable">index</span>)  </div> <div class="xref"><a href="../../../XRef/xref1.html#Synopsis_mPTree_mArray_moperator_b_B_lsize_t_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Node.hh.html#line94" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<a href="Node.html" >Node</a>*&amp; <a class="name" id="ref_lsize_t_r">ref</a>(size_t <span class="variable">index</span>)  </div> <div class="xref"><a href="../../../XRef/xref1.html#Synopsis_mPTree_mArray_mref_lsize_t_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Node.hh.html#line95" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="append_lNode_S_r">append</a>(<a href="Node.html" >Node</a>*)  </div> <div class="xref"><a href="../../../XRef/xref1.html#Synopsis_mPTree_mArray_mappend_lNode_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Node.hh.html#line96" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="clear_l_r">clear</a>()  </div> <div class="xref"><a href="../../../XRef/xref1.html#Synopsis_mPTree_mArray_mclear_l_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Node.hh.html#line97" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<a href="Node.html" >Node</a>* <a class="name" id="all_l_r">all</a>()  </div> <div class="xref"><a href="../../../XRef/xref1.html#Synopsis_mPTree_mArray_mall_l_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Node.hh.html#line98" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Private Data members Summary:</div>
<div class="item"><div class="synopsis">size_t <a class="name" id="num">num</a></div> <div class="xref"><a href="../../../XRef/xref1.html#Synopsis_mPTree_mArray_mnum" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Node.hh.html#line100" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">size_t <a class="name" id="size">size</a></div> <div class="xref"><a href="../../../XRef/xref1.html#Synopsis_mPTree_mArray_msize" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Node.hh.html#line100" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a href="Node.html" >Node</a>** <a class="name" id="array">array</a></div> <div class="xref"><a href="../../../XRef/xref1.html#Synopsis_mPTree_mArray_marray" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Node.hh.html#line101" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">[8]&#160;<a href="Node.html" >Node</a>* <a class="name" id="default_buf">default_buf</a></div> <div class="xref"><a href="../../../XRef/xref1.html#Synopsis_mPTree_mArray_mdefault_buf" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Node.hh.html#line102" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:27:52 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
